#!/bin/sh


if [ -z "$1" ]
  then
    echo "Type your ExportVHosts share password, followed by [ENTER]:"
    read -s EXPORTVHOSTS_PASSWORD 
else
    export EXPORTVHOSTS_PASSWORD=$1
fi

useradd bigstepdevel

mkdir /ExportVHosts
chmod -R 0777 /ExportVHosts
chown -R bigstepdevel /ExportVHosts

echo -e "new"'!'"$EXPORTVHOSTS_PASSWORD\nnew"'!'"$EXPORTVHOSTS_PASSWORD" | passwd bigstepdevel
